package net.shadowfacts.phycon

import net.fabricmc.api.ClientModInitializer
import net.fabricmc.fabric.api.blockrenderlayer.v1.BlockRenderLayerMap
import net.fabricmc.fabric.api.client.networking.v1.ClientPlayNetworking
import net.fabricmc.fabric.api.client.screenhandler.v1.ScreenRegistry
import net.minecraft.client.render.RenderLayer
import net.shadowfacts.phycon.init.PhyBlocks
import net.shadowfacts.phycon.init.PhyScreens
import net.shadowfacts.phycon.network.block.terminal.TerminalScreen
import net.shadowfacts.phycon.networking.ClientReceiver
import net.shadowfacts.phycon.networking.S2CTerminalUpdateDisplayedItems

/**
 * @author shadowfacts
 */
object PhysicalConnectivityClient: ClientModInitializer {

	override fun onInitializeClient() {
		BlockRenderLayerMap.INSTANCE.putBlock(PhyBlocks.CABLE, RenderLayer.getTranslucent())

		ScreenRegistry.register(PhyScreens.TERMINAL_SCREEN_HANDLER, ::TerminalScreen)

		registerGlobalReceiver(S2CTerminalUpdateDisplayedItems)
	}

	private fun registerGlobalReceiver(receiver: ClientReceiver) {
		ClientPlayNetworking.registerGlobalReceiver(receiver.CHANNEL, receiver)
	}

}
